ANNIE1-Assembly - Task #8577

Water fill
05/04/2015 11:30 AM - Matthew Wetstein

Status: New Start date: 03/07/2016
Priority: Normal Due date: 03/11/2016
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

History

#1 - 12/06/2015 11:01 AM - Matthew Wetstein
- Due date changed from 10/16/2015 to 03/11/2016
- Start date changed from 09/28/2015 to 03/07/2016

#2 - 01/25/2018 07:11 AM - Matthew Wetstein
- % Done changed from 0 to 100
